> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/es/knowledge-base/troubleshooting-articles/unexpected-exception.-please-see-server-logs-for-details.md).

# Unexpected exception. Please see server logs for details

El siguiente mensaje de error aparece al intentar conectarse mediante SSO de Entra ID después de una actualización de Devolutions Server:

`{"errorMessage" :"Unexpected exception. Please see server logs for details.","result":0}`

### Soluciones

1. Abra Devolutions Server Console y vaya a ***Server - Logs***.
2. Localice el siguiente error en los registros:

```
OAuthTokenEndpointException - OAuth token endpoint error: {"error":"invalid_client","error_description":"AADSTS7000215: Invalid client secret provided.
```

3. Confirme que el secreto enviado en la solicitud es el valor del secreto de cliente, no el ID del secreto de cliente, de un secreto añadido a la aplicación.
4. Vaya a la aplicación web de Devolutions Server en el portal de Entra ID.
   1. Asegúrese de que el [permiso de API esté correctamente configurado y concedido](/server/es/knowledge-base/how-to-articles/configure-microsoft-authentication-with-entra-id.md#app-registration-in-the-azure-portal) en ***Home*** – ***App registration*** – ***API permissions*** de Entra ID. Asegúrese también de que el registro de la aplicación esté configurado como ***Web*** y compruebe que la dirección sea correcta.
   2. Cree un nuevo secreto y copie su valor. Establezca un recordatorio un mes antes de su caducidad utilizando el método que prefiera.
5. En la interfaz web de Devolutions Server, diríjase a ***Administración*** – ***Configuración del servidor*** – ***Autenticación*** – ***Autenticación de Microsoft***. A continuación:
   1. Pegue el nuevo secreto de cliente.
   2. Desactive ***Usar ID de cliente específico para la caché de usuarios y grupos de usuarios***..
   3. Haga clic en el botón ***Restablecer caché***.
   4. Guarde los cambios.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/server/es/knowledge-base/troubleshooting-articles/unexpected-exception.-please-see-server-logs-for-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
